Đến nội dung


Hình ảnh
- - - - -

[Lisp] Tạo Block Siêu Nhanh


  • Please log in to reply
5 replies to this topic

#1 vanmanh192hd

vanmanh192hd

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 07 October 2016 - 10:11 PM

Chào tất cả anh em

Mình thấy việc tạo block trong autocad cũng mất kha khá thời gian, bác nào có cách tạo block nhanh mà không cần thông qua hộp thoại không ?. ví dụ : gọi lệnh => nhập tên block => chọn điểm gốc => chọn đối tượng =. xong


  • 0

#2 Bee

Bee

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 63 (tàm tạm)

Đã gửi 07 October 2016 - 10:59 PM

Chào tất cả anh em

Mình thấy việc tạo block trong autocad cũng mất kha khá thời gian, bác nào có cách tạo block nhanh mà không cần thông qua hộp thoại không ?. ví dụ : gọi lệnh => nhập tên block => chọn điểm gốc => chọn đối tượng =. xong

_copyclip

 

CHON DOI TUONG

 

_pasteblock


  • 0

#3 vanmanh192hd

vanmanh192hd

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 08 October 2016 - 05:43 AM

_copyclip

 

CHON DOI TUONG

 

_pasteblock

nhưng nó không cho mình nhập tên block


  • 0

#4 Bee

Bee

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 63 (tàm tạm)

Đã gửi 08 October 2016 - 08:02 AM

nhưng nó không cho mình nhập tên block

-BLOCK ^_^


  • 0

#5 VlaObject

VlaObject

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 October 2016 - 08:31 AM

Mình thấy tên lệnh lúc thì ghi là: _block , lúc thì ghi là: -block

Vậy cho mình hỏi nó khác nhau như thế nào vậy?


  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 08 October 2016 - 09:16 AM

- : lệnh ở phiên bản không hộp thoại
_ : lệnh ở phiên bản tiếng Anh

Nếu bạn cần code thì quick code đây :

(defun c:QB (/ ss n p)
	(while (and (setq n (getstring T "\Block name :"))(tblsearch "BLOCK" n)))
	(setq ss (ssget "_:L"))
	(setq p (getpoint "\n Specify insertion point :"))
	(vl-cmdf "_.-Block" n "_non" p ss "")
	(vl-cmdf "_.-insert" n "non" p "" "" "")
	(princ)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC